<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun May 03 22:01:10 EEST 2020 -->
<title>AdministratorGUI</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AdministratorGUI";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AdministratorGUI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">GUI</a></div>
<h2 title="Class AdministratorGUI" class="title">Class AdministratorGUI</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>GUI.AdministratorGUI</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">AdministratorGUI</span>
extends java.lang.Object
implements <a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ionut
Interfata grafica pentru Administrator. Aici sepot vizualiza, adauga, modifica sau sterge produse din meniul restaurantului. 
Editarea sau stergerea unui item se face prin  selectarea liniei din tabel(click) si apasarea butonului corespunzator.</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="AdministratorGUI.ButtonListener.html" title="class in GUI">AdministratorGUI.ButtonListener</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="AdministratorGUI.ButtonListener2.html" title="class in GUI">AdministratorGUI.ButtonListener2</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(javax.swing.JFrame,businessLayer.Restaurant)">AdministratorGUI</a></span>&#8203;(javax.swing.JFrame&nbsp;main_frame,
                <a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;res)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMenuItem(businessLayer.MenuItem)">addMenuItem</a></span>&#8203;(<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;i)</code></th>
<td class="colLast">
<div class="block">Adaugare produs nou</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNewOrder()">addNewOrder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNewOrder(businessLayer.Order)">addNewOrder</a></span>&#8203;(<a href="../businessLayer/Order.html" title="class in businessLayer">Order</a>&nbsp;o)</code></th>
<td class="colLast">
<div class="block">Adaugare comanda</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#computePrice()">computePrice</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#creare()">creare</a></span>()</code></th>
<td class="colLast">
<div class="block">metoda ce tine de partea de interfata grafica.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteMenuItem(businessLayer.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;i)</code></th>
<td class="colLast">
<div class="block">Sterge un produs</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">editMenuItem</a></span>&#8203;(<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;a,
            <a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;b)</code></th>
<td class="colLast">
<div class="block">Metoda care modifica un produs.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateBill()">generateBill</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(javax.swing.JFrame,businessLayer.Restaurant)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AdministratorGUI</h4>
<pre>public&nbsp;AdministratorGUI&#8203;(javax.swing.JFrame&nbsp;main_frame,
                        <a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;res)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="creare()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creare</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;creare()</pre>
<div class="block">metoda ce tine de partea de interfata grafica. Se creeaza butoane, text fields, tabele etc.</div>
</li>
</ul>
<a id="editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editMenuItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;editMenuItem&#8203;(<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;a,
                         <a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;b)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html#editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">IRestaurantProcessing</a></code></span></div>
<div class="block">Metoda care modifica un produs. Se sterge produsul cu datelevechi si se adauga un produs nou.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../businessLayer/IRestaurantProcessing.html#editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">editMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - produsul vechi</dd>
<dd><code>b</code> - produsul modificat (nou)</dd>
</dl>
</li>
</ul>
<a id="addNewOrder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewOrder</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addNewOrder()</pre>
</li>
</ul>
<a id="computePrice()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computePrice</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;computePrice()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../businessLayer/IRestaurantProcessing.html#computePrice()">computePrice</a></code>&nbsp;in interface&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
</dl>
</li>
</ul>
<a id="generateBill()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateBill</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generateBill()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../businessLayer/IRestaurantProcessing.html#generateBill()">generateBill</a></code>&nbsp;in interface&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
</dl>
</li>
</ul>
<a id="deleteMenuItem(businessLayer.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deleteMenuItem&#8203;(<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;i)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html#deleteMenuItem(businessLayer.MenuItem)">IRestaurantProcessing</a></code></span></div>
<div class="block">Sterge un produs</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../businessLayer/IRestaurantProcessing.html#deleteMenuItem(businessLayer.MenuItem)">deleteMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - produsul care trebuie sters</dd>
</dl>
</li>
</ul>
<a id="addNewOrder(businessLayer.Order)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewOrder</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addNewOrder&#8203;(<a href="../businessLayer/Order.html" title="class in businessLayer">Order</a>&nbsp;o)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html#addNewOrder(businessLayer.Order)">IRestaurantProcessing</a></code></span></div>
<div class="block">Adaugare comanda</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../businessLayer/IRestaurantProcessing.html#addNewOrder(businessLayer.Order)">addNewOrder</a></code>&nbsp;in interface&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - comanda care trebuie adaugata</dd>
</dl>
</li>
</ul>
<a id="addMenuItem(businessLayer.MenuItem)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addMenuItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addMenuItem&#8203;(<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;i)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html#addMenuItem(businessLayer.MenuItem)">IRestaurantProcessing</a></code></span></div>
<div class="block">Adaugare produs nou</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../businessLayer/IRestaurantProcessing.html#addMenuItem(businessLayer.MenuItem)">addMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - obiect de tip MenuItem</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AdministratorGUI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
